fsInclude("fscriptlib/HandleObject.js");

function Stream_h(h)
{
	this.handle = h;

	this.WriteInt8 = function(i)
	{
		return fsStream_WriteInt8(this.handle, i);
	}

	this.WriteText = function(i)
	{
		return fsStream_WriteText(this.handle, i);
	}

	this.ReadFloat = function()
	{
		return fsStream_ReadFloat(this.handle);
	}

	this.Flush = function()
	{
		return fsStream_Flush(this.handle);
	}

	this.Seek = function(origin, offset)
	{
		return fsStream_Seek(this.handle, origin, offset);
	}

	this.WriteString = function(i)
	{
		return fsStream_WriteString(this.handle, i);
	}

	this.WriteUInt8 = function(i)
	{
		return fsStream_WriteUInt8(this.handle, i);
	}

	this.WriteUInt16 = function(i)
	{
		return fsStream_WriteUInt16(this.handle, i);
	}

	this.ReadDouble = function()
	{
		return fsStream_ReadDouble(this.handle);
	}

	this.ReadString = function()
	{
		return fsStream_ReadString(this.handle);
	}

	this.ReadInt32 = function()
	{
		return fsStream_ReadInt32(this.handle);
	}

	this.GetLength = function()
	{
		return fsStream_GetLength(this.handle);
	}

	this.ReadInt16 = function()
	{
		return fsStream_ReadInt16(this.handle);
	}

	this.WriteDouble = function(i)
	{
		return fsStream_WriteDouble(this.handle, i);
	}

	this.ReadTextLine = function()
	{
		return fsStream_ReadTextLine(this.handle);
	}

	this.WriteFloat = function(i)
	{
		return fsStream_WriteFloat(this.handle, i);
	}

	this.ReadUInt32 = function()
	{
		return fsStream_ReadUInt32(this.handle);
	}

	this.ReadUInt16 = function()
	{
		return fsStream_ReadUInt16(this.handle);
	}

	this.ReadText = function(length)
	{
		return fsStream_ReadText(this.handle, length);
	}

	this.WriteUInt32 = function(i)
	{
		return fsStream_WriteUInt32(this.handle, i);
	}

	this.WriteInt32 = function(i)
	{
		return fsStream_WriteInt32(this.handle, i);
	}

	this.WriteTextLine = function(i)
	{
		return fsStream_WriteTextLine(this.handle, i);
	}

	this.ReadInt8 = function()
	{
		return fsStream_ReadInt8(this.handle);
	}

	this.GetPosition = function()
	{
		return fsStream_GetPosition(this.handle);
	}

	this.WriteInt16 = function(i)
	{
		return fsStream_WriteInt16(this.handle, i);
	}

}
